<template>
  <div class="container py-3">
    <header>
      <div class="d-flex flex-column flex-md-row align-items-center pb-3 mb-4 border-bottom">
        <a href="/" class="d-flex align-items-center text-dark text-decoration-none">
          <span class="fs-4 color-pink">Composition API</span>
        </a>

        <nav class="d-inline-flex mt-2 mt-md-0 ms-md-auto nav-links">
          <router-link to="/" class="me-3 py-2 text-dark text-decoration-none">Movies</router-link>
          <router-link to="/posts" class="py-2 text-dark text-decoration-none">Posts</router-link>
        </nav>
      </div>
    </header>

    <main>
      <router-view />
    </main>
  </div>
</template>


<style lang="scss">
.color-pink {
  color: rgb(100, 4, 76);
}

.nav-links {
  a {
    font-size: 20px;
  }
}
</style>
